<div class="d-flex justify-content-center">
  <div class="col-8">
    @if (rawData) {
      <div>
        <h2 data-cy="rawDataDetailsHeading"><span>Raw Data</span></h2>

        <hr />

        <jhi-alert-error></jhi-alert-error>

        <jhi-alert></jhi-alert>

        <dl class="row-md jh-entity-details">
          <dt><span>ID</span></dt>
          <dd>
            <span>{{ rawData.id }}</span>
          </dd>
          <dt><span>Unique Key</span></dt>
          <dd>
            <span>{{ rawData.uniqueKey }}</span>
          </dd>
          <dt><span>Order Date</span></dt>
          <dd>
            <span>{{ rawData.orderDate | formatMediumDate }}</span>
          </dd>
          <dt><span>File Name</span></dt>
          <dd>
            <span>{{ rawData.fileName }}</span>
          </dd>
          <dt><span>Line</span></dt>
          <dd>
            <span>{{ rawData.line }}</span>
          </dd>
          <dt><span>Delimeter</span></dt>
          <dd>
            <span>{{ rawData.delimeter }}</span>
          </dd>
          <dt><span>Line Number</span></dt>
          <dd>
            <span>{{ rawData.lineNumber }}</span>
          </dd>
          <dt><span>Valid</span></dt>
          <dd>
            <span>{{ rawData.valid }}</span>
          </dd>
          <dt><span>Invalid Reason</span></dt>
          <dd>
            <span>{{ rawData.invalidReason }}</span>
          </dd>
          <dt><span>Status</span></dt>
          <dd>
            <span>{{ rawData.status }}</span>
          </dd>
        </dl>

        <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
        </button>

        <button type="button" [routerLink]="['/raw-data', rawData.id, 'edit']" class="btn btn-primary">
          <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
        </button>
      </div>
    }
  </div>
</div>
